aboutsummaryrefslogtreecommitdiff
path: root/examples/var_service/getty_tty1/run
diff options
context:
space:
mode:
authorDenys Vlasenko <vda.linux@googlemail.com>2009-11-08 00:55:39 +0100
committerDenys Vlasenko <vda.linux@googlemail.com>2009-11-08 00:55:39 +0100
commitf5c2f72917e5f75634665f67a6105e1e82ece875 (patch)
treee1c6a85ae214ad33d4bf38e03f0a3548ad1525f6 /examples/var_service/getty_tty1/run
parent44f8d013994c20a53836a8768bd488130c7df9bc (diff)
downloadbusybox-f5c2f72917e5f75634665f67a6105e1e82ece875.tar.gz
add more service examples
Signed-off-by: Denys Vlasenko <vda.linux@googlemail.com>
Diffstat (limited to 'examples/var_service/getty_tty1/run')
-rwxr-xr-xexamples/var_service/getty_tty1/run30
1 files changed, 30 insertions, 0 deletions
diff --git a/examples/var_service/getty_tty1/run b/examples/var_service/getty_tty1/run
new file mode 100755
index 000000000..c7c413ba4
--- /dev/null
+++ b/examples/var_service/getty_tty1/run
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+exec >/dev/null
+exec 2>&1
+exec </dev/null
+
+user=root
+baud=38400
+delay=3
+export TERM=linux
+
+tty="/dev/${PWD##*/getty_}"
+
+if ! test -e "$tty"; then
+ exec env - sleep 32000
+fi
+
+sleep "$delay"
+
+chown "$user" "$tty" # - devfs made happy
+
+exec <"$tty" >"$tty" 2>&1
+# using . in order to be able to set env (TERM etc) in cfg
+test -x ./cfg && . ./cfg
+
+exec \
+env - "TERM=$TERM" PATH="$PATH" LOGIN_PRE_SUID_SCRIPT="$PWD/login.sh" \
+softlimit \
+setuidgid "$user" \
+getty "$baud" "$tty" "$TERM"